Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1082660 - Review Request: mahout-collections - Primitive-type collections based on CERN's Colt Java API
Summary: Review Request: mahout-collections - Primitive-type collections based on CERN...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Will Benton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: mahout-collections (view as bug list)
Depends On: 1082552
Blocks: FE-DEADREVIEW bigdata-review ML-SIG
TreeView+ depends on / blocked
 
Reported: 2014-03-31 15:09 UTC by Björn 'besser82' Esser
Modified: 2017-02-19 12:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-13 13:09:53 UTC
willb: fedora-review?


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2014-03-31 15:09:55 UTC
Description:

  The Apache Mahout project's goal is to build a scalable machine
  learning library.

  Mahout Collections is a set of classes that provide lists, sets,
  and maps of primitive types, and open hash tables of objects.


Koji Builds:

  Frh:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6692855


Issues:

  fedora-review shows no obvious issues.  AFAIK there might be some false
  positives from rpmlint.


FAS-User:

  besser82


Urls:

  Spec URL:  http://besser82.fedorapeople.org/review/mahout-collections.spec
  SRPM URL:  http://besser82.fedorapeople.org/review/mahout-collections-1.0-1.fc21.src.rpm


Thanks for review in advance!

Comment 1 Björn 'besser82' Esser 2014-03-31 15:50:45 UTC
Update:

  Removed spurious BR: waggon-ssh.  Updated SPEC / SRPM in place.


Koji Builds:

  Frh:  https://koji.fedoraproject.org/koji/taskinfo?taskID=6692987

Comment 2 Will Benton 2014-04-04 14:55:40 UTC
Hey Björn, there are a couple of issues here:  

1.  First, the latest version of the maven-skins package no longer provides the maven-default-skin artifact.  But it will build on rawhide if you replace the artifact name in the BRs to maven-skins, so this isn't a huge deal.

2.  The more substantial issue is apparent bundling between mahout-collections and mahout-math.  In particular, classes from the following directories are shared between these projects:

* org/apache/mahout/math
* org/apache/mahout/math/buffer
* org/apache/mahout/math/function
* org/apache/mahout/math/list
* org/apache/mahout/math/map
* org/apache/mahout/math/set

Has mahout-collections superseded mahout-math?  Or is there some other way to decouple these projects?

Comment 3 gil cattaneo 2014-04-05 00:03:37 UTC
*** Bug 1000416 has been marked as a duplicate of this bug. ***

Comment 4 Upstream Release Monitoring 2015-12-14 10:41:09 UTC
jerboaa's scratch build of java-1.8.0-openjdk?#d28765c33d068af9ff432a92443b93beeef88a22 for git://pkgs.fedoraproject.org/java-1.8.0-openjdk?#d28765c33d068af9ff432a92443b93beeef88a22 and rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12181621


Note You need to log in before you can comment on or make changes to this bug.